summaryrefslogtreecommitdiff
path: root/opentox-webservices.sh
diff options
context:
space:
mode:
Diffstat (limited to 'opentox-webservices.sh')
-rwxr-xr-xopentox-webservices.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/opentox-webservices.sh b/opentox-webservices.sh
index 811d4bc..ef98ded 100755
--- a/opentox-webservices.sh
+++ b/opentox-webservices.sh
@@ -31,6 +31,12 @@ if [ ! -e "$GIT" ]; then
exit 1
fi
+RUBY="`which ruby`"
+if [ ! -e "$RUBY" ]; then
+ echo "'ruby' missing. Install 'ruby' first. Aborting..."
+ exit 1
+fi
+
LOG="/tmp/`basename $0`-log.txt"
echo
@@ -74,10 +80,10 @@ for mylib in bbrc last; do
done
cd "libfminer/libbbrc">>$LOG 2>&1
cmd="make ruby" && run_cmd "$cmd" "Make BBRC"
-cd ->>$LOG 2>&1
+cd -
cd "libfminer/liblast">>$LOG 2>&1
cmd="make ruby" && run_cmd "$cmd" "Make LAST"
-cd ->>$LOG 2>&1
+cd -
cd "last-utils">>$LOG 2>&1
$GIT checkout $OT_BRANCH>>$LOG 2>&1
$GIT pull >>$LOG 2>&1